<?php
/**
 * Created by PhpStorm.
 * User: table
 * Date: 05/05/16
 * Time: 11:34
 */

/**
 * Creer un objet image a partir du fichier envoyé par l'utilisateur.
 * @param array $file
 *
 * @return une image ou false si erreur.
 */
function getImage($file, $max_hauteur, $max_largeur) {
    if ($file['error'] == 4) {
        return array(1, null);
    }
    if ($file['error'] > 0) {
        return array(5, null);
    }
    if (!($taille = getimagesize($file['tmp_name']))) {
        return array(6, null);
    }
    if ($taille[0] > $max_largeur OR $taille[1] > $max_hauteur) {
        return array(7, null); // mais on pourait la réduire
    }
    if ($avatar = imagecreatefromjpeg($file['tmp_name'])) {
        return array(0, $avatar);
    } elseif ($avatar = imagecreatefrompng($file['tmp_name'])) {
        return array(0, $avatar);
    } else {
        return array(6, null);
    }
}

function saveImage($image, $path) {
    imagejpeg($image, $path);
}