<?php

class Connexion extends Model { // classe de modèle pour la connexion au site
	public $slug, $pseudo, $nom, $prenom, $email;
	
	public static function getPassword($pseudo) { // méthode permettant de récupérer le password hashé d'un membre dans la BDD
		// renvoie le mot de passe si le membre existe
		// renvoie null si le membre n'existe pas
		
		$db = Database::getInstance(); // on récupère la connexion à la BDD
		$sql = "SELECT password FROM R_joueur WHERE pseudo = :pseudo";
		$req = $db->prepare($sql); // on prépare la requête
		$req->execute(array(":pseudo" => $pseudo)); // on remplace les variables dans la requête
		
		$return = null; //valeur par défaut du retour
		if($result = $req->fetch()) { // on récupère l'enregistrement, s'il existe
			$return = $result['password']; // on récupère le mdp hashé pour le retourner
		}
		
		return $return;
	}
	
	public static function getUser($slug) { // méthode permettant de récupérer les données d'un utilisateur dans la BDD
		$db = Database::getInstance(); // on récupère la connexion à la BDD
		$sql = "SELECT slug, pseudo, nom, prenom, email FROM R_joueur WHERE slug = :slug_joueur";
		$req = $db->prepare($sql); // on prépare la requête
		$req->setFetchMode(PDO::FETCH_CLASS, "Connexion");
		$req->execute(array(":slug_joueur" => $slug)); // on remplace les variables dans la requête
		
		return $req->fetch();
	}
	
}



